package adminkindboxhandler

import (
	echo "github.com/labstack/echo/v4"
)

func (h Handler) SetRoutes(e *echo.Echo) {
	r := e.Group("/admin/kindboxes")

	r.POST("/", h.Add).Name = "admin-addkindbox"
	r.GET("/:id", h.Get).Name = "admin-getkindboxbyid"
	r.GET("/", h.GetAll).Name = "admin-getallkindbox"
	r.PATCH("/:id", h.Update).Name = "admin-updatekindbox"
}
