package benefactorhandler

import (
	authservice "git.gocasts.ir/ebhomengo/niki/service/auth/benefactor"
	benefactoraddressservice "git.gocasts.ir/ebhomengo/niki/service/benefactor/address"
	benefactorservice "git.gocasts.ir/ebhomengo/niki/service/benefactor/benefactor"
	benefactorvalidator "git.gocasts.ir/ebhomengo/niki/validator/benefactor/benefactor"
)

type Handler struct {
	authConfig           authservice.Config
	authSvc              authservice.Service
	benefactorSvc        benefactorservice.Service
	benefactorVld        benefactorvalidator.Validator
	benefactorAddressSvc benefactoraddressservice.Service
}

func New(authConfig authservice.Config,
	authSvc authservice.Service,
	benefactorSvc benefactorservice.Service,
	benefactorVld benefactorvalidator.Validator,
	benefactorAddressSvc benefactoraddressservice.Service,
) Handler {
	return Handler{
		authConfig:           authConfig,
		authSvc:              authSvc,
		benefactorSvc:        benefactorSvc,
		benefactorVld:        benefactorVld,
		benefactorAddressSvc: benefactorAddressSvc,
	}
}
