package adminkindboxservice

import (
	"context"

	param "git.gocasts.ir/ebhomengo/niki/param/admin/kind_box"
	richerror "git.gocasts.ir/ebhomengo/niki/pkg/rich_error"
)

func (s Service) Delete(ctx context.Context, req param.KindBoxDeleteRequest) (param.KindBoxDeleteResponse, error) {
	// TODO: Does business domain need to delete an kindbox ?
	const op = "adminkindboxservice.Delete"

	dErr := s.repo.DeleteKindBox(ctx, req.KindBoxID)
	if dErr != nil {
		return param.KindBoxDeleteResponse{}, richerror.New(op).WithErr(dErr).WithKind(richerror.KindUnexpected)
	}

	return param.KindBoxDeleteResponse{}, nil
}
