package config

import (
	authservice "git.gocasts.ir/ebhomengo/niki/service/auth/benefactor"
	benefactorservice "git.gocasts.ir/ebhomengo/niki/service/benefactor/benefactor"
)

func Default() Config {
	cfx := Config{
		Auth: authservice.Config{
			AccessExpirationTime:  AccessTokenExpireDuration,
			RefreshExpirationTime: RefreshTokenExpireDuration,
			AccessSubject:         AccessTokenSubject,
			RefreshSubject:        RefreshTokenSubject,
		},

		BenefactorSvc: benefactorservice.Config{
			OtpChars:      OtpChars,
			OtpExpireTime: OtpExpireTime,
		},
	}

	return cfx
}
